//go:build !cgo

package capture

import "fmt"

import "inet.af/netaddr"

type nullReaderFromCloser interface {
	ReadFrom(b []byte) (body []byte, src netaddr.IP, ifindex int, err error)
	Close() error
}

func FromInterface(string) (nullReaderFromCloser, error) {
	return nil, fmt.Errorf("packet capture disabled")
}
